#!/usr/bin/python
# -*- coding: Latin1 -*- 
# Datei: bank.py (OOPs-Intro)
# W. Spiegel, 2004-01-22
# Idee aus R. Lafore: Data Structures
# and Algorithms in Java, p. 10/11
#################################  

class Bankkonto:
   """Einfache Bank-Konto-Klasse"""
   
   def __init__(self,startbetrag):
      """Konstruktor: erzeugt Bankkonto"""
      self.kontostand = startbetrag
        
   def einzahlung(self, betrag):
      self.kontostand = self.kontostand + betrag

   def auszahlung(self, betrag):
      self.kontostand = self.kontostand - betrag
      
   def anzeigen(self):
      print self.kontostand


if __name__ == "__main__": # ausprobieren
   konto1 = Bankkonto(100)       # Bank-Konto erzeugen
   konto1.anzeigen()        # und Konto-Stand anzeigen
