#!/usr/bin/python
# -*- coding: Latin1 -*- 
# Datei: dispokonto.py (OOPs-Intro)
# W. Spiegel, 2004-02-01
#################################  
class Bankkonto:
   """Einfache Bank-Konto-Klasse"""
   
   def __init__(self,startbetrag):
      """Konstruktor: erzeugt Bankkonto"""
      self.kontostand = startbetrag
        
   def einzahlung(self, betrag):
      self.kontostand = self.kontostand + betrag

   def auszahlung(self, betrag):
      self.kontostand = self.kontostand - betrag
      
   def anzeigen(self):
      print self.kontostand

class DispoKonto(Bankkonto):
   """DispoKonto-Konto: man darf ueberziehen!"""
   
   def __init__(self,kontostand,grenze):
      """Konstruktor: erzeugt DispoKonto"""
      Bankkonto.__init__(self,kontostand)
      self.kredit = grenze
      print u"DispoKonto eingerichtet, \xdcberziehungskredit: %.2f \u20ac" % self.kredit


   def auszahlung(self, betrag):
      if ((self.kontostand - betrag) < -self.kredit):
         betrag2 = self.kontostand + self.kredit
         print u"TOO MUCH! Wir zahlen maximal: %.2f \u20ac" % betrag2 
      else:
         self.kontostand = self.kontostand - betrag
      

if __name__ == "__main__": # ausprobieren
   dispo = DispoKonto(100,1000)     # Dispo-Konto erzeugen
   dispo.anzeigen()                 # und Konto-Stand anzeigen
