#!/usr/bin/python
# -*- coding: Latin1 -*- 
# Datei: taschengeld.py (OOPs-Intro)
# W. Spiegel, 2004-01-22
#################################  


class Bankkonto:
   """Einfache Bank-Konto-Klasse"""
   
   def __init__(self,startbetrag):
      """Konstruktor: erzeugt Bankkonto"""
      self.kontostand = startbetrag
        
   def einzahlung(self, betrag):
      self.kontostand = self.kontostand + betrag

   def auszahlung(self, betrag):
      self.kontostand = self.kontostand - betrag
      
   def anzeigen(self):
      print self.kontostand

class Taschengeld(Bankkonto):
   """Taschengeld-Konto: man darf nicht ueberziehen . . ."""
   
   def __init__(self,startbetrag):
      """Konstruktor: erzeugt Taschengeldkonto"""
      # rufe Konstruktor aus Bankkonto-Klasse auf
      Bankkonto.__init__(self,startbetrag)   

   def auszahlung(self, betrag):
      if ((self.kontostand - betrag) < 0.0):
         print "ERROR!! DU darfst nicht ueberziehen! ERROR!!"
      else:
         self.kontostand = self.kontostand - betrag
      

if __name__ == "__main__": # ausprobieren
   tkonto = Taschengeld(100)      # Taschengeld-Konto erzeugen
   tkonto.anzeigen()              # und Konto-Stand anzeigen
